DELETE
https://api.cryptohopper.com/v1/user
Deactivates the account: all bots are disabled, the user gets an email, all web sessions are logged out and the access tokens of Cryptohopper's own apps are revoked. The account is deleted within 30 days unless the user logs in again.
OAuth scope:
user About scopes
If deactivation fails, the endpoint still returns HTTP 200, with the message "Something went wrong trying to deactivate your account."
Example request
curl -X DELETE "https://api.cryptohopper.com/v1/user" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/user', {
method: 'DELETE',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.delete(
"https://api.cryptohopper.com/v1/user",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/user');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": "Your account has been deactivated and will be deleted within 30 days. If you want to reactivate your account, please login again."
}